/**
 * decodes ns/name/cmp.js to {ns, name, part: cmp.js}
 * @param modulePath
 */
export function decodeModulePath(modulePath) {
    const [namespace, name, ...parts] = modulePath.split('/');
    return { namespace, name, id: `${namespace}/${name}`, part: parts.join('/') };
}
//# sourceMappingURL=module-util.js.map